---
names:
  full: Azure Non-RBAC Key Vault stores Secrets without expiration date
  contextual: Non-RBAC Key Vault stores Secrets without expiration date
description: Ensure that all Secrets in Non Role Based Access Control (RBAC) Azure
  Key Vaults have an expiration date set.
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v5.0.0/08/03/04"
  - "/frameworks/cloudaware/secret-and-certificate-governance/expiration-management"
frameworkIgnoreMappings:
  - "/frameworks/cis-azure-v1.1.0/08/02"
  - "/frameworks/cis-azure-v1.3.0/08/02"
similarPolicies:
  internal:
    - dec-x-82ca4127
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/KeyVault/secret-expiration-check.html
      name: Check for Azure Key Vault Secrets Expiration Date
